<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.system.mapper.EduInstructionsContentMapper">

    <select id="listPageEduInstructionsContent"
            resultType="com.yida.data.common.core.entity.instructions.EduInstructionsContent">
        SELECT
        id,
        type_code typeCode,
        title,
        content,
        create_date createDate
        FROM
        edu_instructions_content
        WHERE
        del_flag = 0
        <if test="typeCode!=null">
            and type_code = #{typeCode}
        </if>
        <if test="title!=null">
            and title like concat('%',#{title},'%')
        </if>
        ORDER BY
        create_date DESC
    </select>
</mapper>
